

body{
overflow: hidden;
height: 600px;
width: 1300px;

  
}

 #background {
    background: url(../assets/Nebula\ Aqua-Pink.png) repeat -70%;
	position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
   -webkit-animation:background 100s linear;
    opacity: 0.6;
    z-index: 99;

}

#midground {
	background: url(../assets/Stars-Big_1_1_PC.png) repeat -70%;
	position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    -webkit-animation: background-animation 50s infinite;
    z-index: 59;
}

#foreground {
	background: url(../assets/Stars\ Small_1.png) repeat -70% 0%;
	position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    -webkit-animation: background-animation 200s infinite;
    z-index: 59;
}


@-webkit-keyframes background-animation {
  
        
          to {
         
            left: -1000%;
       
          }
    
        }
    
        @-webkit-keyframes background {
           
              to {
             
                left: -1000%;
           
              }
        
            }

.hudAnim {
    -webkit-animation: swing-top-bck 1s both ;


}
.hud {
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    background: rgba(0, 0, 0, 0.2);
    border-radius: 30px;
    color: #f1f1f1;
    width: 500px;
z-index: 99;
}

.hud p{
margin-left: 10px;
}




.playground{

 
    height: 600px;
    width: 1300px;


}
.background {
     top: 0;
    left: 0;
    position: fixed;
    min-width: 100%;
    min-height: 100%;
  }
  


.ship {
    transform: rotate(90deg);
    position: absolute;
    z-index: 99;
    height: 70px;
    width: 70px;
}



.bullet {
    position: absolute;
    width: 40px;
    height: 20px;
    -webkit-animation: slide-in-left 2s linear  ;
    z-index: 999;


}


.ennemis {
    z-index: 100;
    position: absolute;

}



#ennemyship {
    height: 100px;
    width: 130px;
     transform: rotate(180deg);
     -webkit-animation: slide-in-right 10s linear ;


}


#ennemyalien {
    height: 70px;
    width: 70px;
     transform: rotate(90deg);
     -webkit-animation: slide-in-right 7s linear ;

}

.enemybullet  {
    z-index: 99;
    position: absolute;
    border-bottom: 5px solid red ;
    width: 20px;
    height: 10px;
    -webkit-animation: enemybullet 4s linear ;

}



#enemyBoss1{
    position: absolute;
    z-index: 999;
    height: 500px;
    width: 600px;
     transform: rotate(-90deg);
    left: 900px;
    animation: bossMoov 3s linear infinite ;
    animation-direction: alternate;
    


}



.enemyBoss1Bullets{
    transform: rotate(-90deg);

    z-index: 999;
    position: absolute;
    width: 50px;
    height: 50px;
    -webkit-animation: bossBullet 2s linear ;
}




@keyframes bossBullet {
  
    
      to {
     
        
        left: 0;
   
      }


    }
    @keyframes bossMoov {
  
        from {
            top: 0;  
            
          }
        
          to {
         
            
            top: 200px;
       
          }
    
    
        }


    @keyframes enemyboss {
        from {
            left: 100%;  
            
          }
        
          to {
         
            
            left: 65%;
       
          }
    
    
        }


 @keyframes slide-in-right {
    from {
        left: 100%;  
        
      }
    
      to {
     
        left: -55%;
   
      }


    }

@keyframes slide-in-left {

 
    
      to {
     
      left: 130%;
   
      }


    }



 @keyframes enemybullet {
  
        
      
    
      to {
     
        left: -50%;

   
      }
    }


    .swing-top-bck {
        -webkit-animation: swing-top-bck 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse ;
                animation: swing-top-bck 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse ;
    }



    @-webkit-keyframes swing-top-bck {
        0% {
          -webkit-transform: rotateX(0);
                  transform: rotateX(0);
          -webkit-transform-origin: top;
                  transform-origin: top;
        }
        100% {
          -webkit-transform: rotateX(-180deg);
                  transform: rotateX(-180deg);
          -webkit-transform-origin: top;
                  transform-origin: top;
        }
      }
      @keyframes swing-top-bck {
        0% {
          -webkit-transform: rotateX(0);
                  transform: rotateX(0);
          -webkit-transform-origin: top;
                  transform-origin: top;
        }
        100% {
          -webkit-transform: rotateX(-180deg);
                  transform: rotateX(-180deg);
          -webkit-transform-origin: top;
                  transform-origin: top;
        }
      }
    